=== debian/control ===
Source: elem
Section: science
Priority: extra
Maintainer: Stefan Heimers <stefan.heimers@kosta.ch>
Build-Depends: libforms-dev

Package: elem
Architecture: any
Depends: ${shlibs:Depends}, libforms0.89
Description: Elem, Periodic Table of the Elements 
 Elem is a periodic table of the elements for unixlike systems.
