=== debian/rules ===
#!/usr/bin/make -f

# Debian package information
package		= elem
docdir		= /usr/share/doc/$(package)
tmpdir		= $(shell pwd)/debian/tmp

# C compiler information
CC		= gcc
CFLAGS		= -g -O2
LDFLAGS		= -s
build:   	 
	make
	touch build
	

.PHONY: clean
clean:
	rm -f build
	-make distclean
	-rm -rf debian/tmp debian/{files,substvars}

.PHONY: binary
binary: binary-indep binary-arch

.PHONY: binary-indep
binary-indep:
	@echo Close, but no sigar.


.PHONY: binary-arch
binary-arch: build 
	-rm -rf debian/tmp debian/{files,substvars}

	install -d -m 755 -o root -g root debian/tmp/var/cdfs
# Install elem
	install -d -m 755 -o root -g root debian/tmp/usr/bin
	install -s -m 755 -o root -g root elem-de debian/tmp/usr/bin/
	install -s -m 755 -o root -g root elem-en debian/tmp/usr/bin/
	install -m 755 -o root -g root elem debian/tmp/usr/bin/
# Install the documentation
	install -d -m 755 -o root -g root debian/tmp$(docdir)/html
	install -p -m 644 -o root -g root doc/*html \
			debian/tmp$(docdir)/html/
	install -p -m 644 -o root -g root doc/*png \
			debian/tmp$(docdir)/html/
#	install -p -m 644 -o root -g root doc/*txt debian/tmp$(docdir)
#	install -p -m 644 -o root -g root doc/*sgml debian/tmp$(docdir)
	install -p -m 644 -o root -g root README TODO debian/tmp$(docdir)

	install -d -m 755 -o root -g root debian/tmp/usr/share/man/man1
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man1/elem.1.gz

# Generate the changelog with the current builddate
	sed -e "s/@VERSION@/0.`date +%Y%m%d`/g" -e "s/@DATE@/`date -R`/" \
		debian/changelog.in >> debian/changelog

# Install Debian-specific stuff
	install -d -m 755 -o root -g root debian/tmp/usr/share/doc-base
	install -p -m 644 -o root -g root debian/doc-base \
			debian/tmp/usr/share/doc-base/$(package)

	install -p -m 644 -o root -g root debian/changelog \
			debian/tmp$(docdir)/changelog.Debian
# We expect an error here for the html-subdirectory
	-gzip -9 debian/tmp$(docdir)/*
	install -p -m 644 -o root -g root debian/copyright debian/tmp$(docdir)

	install -d -o root -g root -m 755 $(tmpdir)/DEBIAN
	install -p -o root -g root -m 755 debian/postinst $(tmpdir)/DEBIAN
	install -p -o root -g root -m 755 debian/prerm $(tmpdir)/DEBIAN

# Build the package

	dh_installmenu
	dpkg-shlibdeps elem-de	elem-en
	dpkg-gencontrol -isp -v1.0.1-1
	dpkg --build -z3  debian/tmp ..
